Commit 1faccb34 authored by Paweł Wieczorek's avatar Paweł Wieczorek
Browse files

Add cgroups v2 dependency from backports

From LAVA release 2022.01 onward requirements of package
"lava-dispatcher-host" cannot be resolved on Debian Bullseye without
backports.

Affected requirement is "python3-bpfcc" (>= 0.21) which is available in
Bullseye as 0.18.0+ds-2 (and as 0.22.0+ds-2~bpo11+1 in backports) as of
writing this patch.

Patch that introduced this requirement:
180cb3c1



APT repository on lavasoftware.org supplies updated "python3-bpfcc"
(0.21.0+ds-7~bpo11+1~lava1).

Signed-off-by: Paweł Wieczorek's avatarPaweł Wieczorek <pawiecz@collabora.com>
parent 76a56a0e
......@@ -3,7 +3,9 @@ FROM debian:bullseye-slim AS dispatcher
COPY --from=collabora-lava-build /lava-dispatcher*.deb /lava-common*.deb /
COPY docker/collabora/start-worker.sh /
RUN apt update && \
RUN echo 'deb http://deb.debian.org/debian bullseye-backports main' > /etc/apt/sources.list.d/backports.list && \
apt update && \
apt install -y --no-install-recommends -t bullseye-backports python3-bpfcc && \
apt install -y git /*.deb && \
rm /*deb
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment